Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(4086)

Issue 10975043: Fix building with Clang 3.2 (brute force approach) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 years ago by Vedran Miletić
Modified:
7 years, 9 months ago
Visibility:
Public.

Description

Fix building with Clang 3.2 (brute force approach)

Patch Set 1 #

Patch Set 2 : Fix UAN example #

Patch Set 3 : Rebased on ns-3-dev 10211:1af765ed27c8 #

Total comments: 10
Unified diffs Side-by-side diffs Delta from patch set Stats (+45 lines, -183 lines) Patch
M examples/tcp/tcp-variants-comparison.cc View 1 chunk +0 lines, -1 line 0 comments Download
M examples/wireless/ht-wifi-network.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M src/aodv/model/aodv-routing-protocol.h View 1 chunk +0 lines, -5 lines 0 comments Download
M src/aodv/model/aodv-routing-protocol.cc View 1 2 2 chunks +0 lines, -6 lines 0 comments Download
M src/buildings/helper/building-position-allocator.h View 1 chunk +1 line, -2 lines 0 comments Download
M src/buildings/helper/building-position-allocator.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/buildings/model/itu-r-1238-propagation-loss-model.h View 1 chunk +0 lines, -8 lines 0 comments Download
M src/click/model/ipv4-l3-click-protocol.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M src/core/model/random-variable-stream.h View 1 2 1 chunk +0 lines, -4 lines 0 comments Download
M src/core/test/attribute-test-suite.cc View 1 2 2 chunks +11 lines, -0 lines 1 comment Download
M src/dsr/model/dsr-maintain-buff.h View 1 chunk +0 lines, -2 lines 0 comments Download
M src/dsr/model/dsr-option-header.h View 7 chunks +0 lines, -40 lines 0 comments Download
M src/dsr/model/dsr-option-header.cc View 3 chunks +2 lines, -3 lines 0 comments Download
M src/dsr/model/dsr-options.h View 5 chunks +0 lines, -20 lines 0 comments Download
M src/dsr/model/dsr-rreq-table.h View 1 chunk +0 lines, -3 lines 0 comments Download
M src/energy/model/rv-battery-model.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/internet/model/ipv6-option.h View 1 chunk +0 lines, -6 lines 0 comments Download
M src/internet/model/tcp-header.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/lte/model/epc-x2-header.h View 1 chunk +0 lines, -2 lines 0 comments Download
M src/lte/model/fdtbfq-ff-mac-scheduler.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M src/lte/model/fdtbfq-ff-mac-scheduler.cc View 1 chunk +0 lines, -1 line 0 comments Download
M src/lte/model/lte-rrc-header.h View 1 chunk +1 line, -0 lines 0 comments Download
M src/lte/model/lte-rrc-header.cc View 1 chunk +7 lines, -0 lines 0 comments Download
M src/lte/model/rr-ff-mac-scheduler.cc View 2 chunks +2 lines, -1 line 0 comments Download
M src/lte/model/tdtbfq-ff-mac-scheduler.h View 1 2 1 chunk +0 lines, -2 lines 0 comments Download
M src/lte/model/tdtbfq-ff-mac-scheduler.cc View 1 chunk +0 lines, -1 line 0 comments Download
M src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/lte/test/lte-test-harq.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/lte/test/lte-test-interference.cc View 1 2 1 chunk +2 lines, -0 lines 1 comment Download
M src/lte/test/lte-test-mimo.h View 1 chunk +0 lines, -2 lines 0 comments Download
M src/lte/test/lte-test-phy-error-model.cc View 1 2 2 chunks +2 lines, -0 lines 1 comment Download
M src/lte/test/lte-test-pss-ff-mac-scheduler.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc View 1 2 1 chunk +1 line, -0 lines 1 comment Download
M src/mesh/model/dot11s/airtime-metric.h View 1 chunk +0 lines, -8 lines 0 comments Download
M src/mesh/model/dot11s/airtime-metric.cc View 1 2 1 chunk +1 line, -9 lines 0 comments Download
M src/mesh/model/flame/flame-protocol.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M src/mesh/model/flame/flame-protocol-mac.h View 1 2 2 chunks +1 line, -2 lines 0 comments Download
M src/mesh/model/flame/flame-protocol-mac.cc View 1 2 1 chunk +2 lines, -2 lines 0 comments Download
M src/mesh/test/flame/flame-test-suite.cc View 2 chunks +0 lines, -3 lines 0 comments Download
M src/uan/examples/uan-rc-example.cc View 1 2 chunks +1 line, -3 lines 0 comments Download
M src/uan/model/uan-mac-rc.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/uan/model/uan-mac-rc.cc View 1 chunk +0 lines, -5 lines 0 comments Download
M src/uan/model/uan-mac-rc-gw.h View 2 chunks +0 lines, -2 lines 0 comments Download
M src/uan/model/uan-mac-rc-gw.cc View 2 chunks +0 lines, -10 lines 0 comments Download
M src/wifi/model/aarfcd-wifi-manager.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/wifi/model/dcf-manager.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/wifi/model/ideal-wifi-manager.h View 1 chunk +0 lines, -2 lines 0 comments Download
M src/wifi/model/minstrel-wifi-manager.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/wifi/model/minstrel-wifi-manager.cc View 1 2 1 chunk +0 lines, -5 lines 0 comments Download
M src/wifi/model/wifi-mac-header.h View 1 2 1 chunk +0 lines, -1 line 0 comments Download
M src/wifi/model/wifi-mac-header.cc View 1 2 1 chunk +1 line, -1 line 0 comments Download
M src/wifi/model/wifi-mac-queue.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/wifi/model/wifi-mac-queue.cc View 1 2 3 chunks +0 lines, -3 lines 0 comments Download
M src/wifi/model/wifi-remote-station-manager.h View 1 2 1 chunk +1 line, -2 lines 0 comments Download
M src/wimax/model/snr-to-block-error-rate-manager.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/wimax/model/ss-service-flow-manager.h View 1 chunk +0 lines, -2 lines 0 comments Download
M src/wimax/model/ss-service-flow-manager.cc View 1 chunk +0 lines, -1 line 0 comments Download

Messages

Total messages: 5
Andrey Mazo
Most of the changes look good to me. https://codereview.appspot.com/10975043/diff/8001/src/buildings/helper/building-position-allocator.cc File src/buildings/helper/building-position-allocator.cc (right): https://codereview.appspot.com/10975043/diff/8001/src/buildings/helper/building-position-allocator.cc#newcode32 src/buildings/helper/building-position-allocator.cc:32: #include ...
7 years, 9 months ago (2013-10-14 13:27:11 UTC) #1
Tommaso Pecorella
Another error from gcc 5.0 In file included from ../src/mpi/model/distributed-simulator-impl.cc:19: ../src/mpi/model/distributed-simulator-impl.h:149:16: error: private field 'm_systemCount' ...
7 years, 9 months ago (2013-10-14 14:37:24 UTC) #2
Vedran Miletić
On 2013/10/14 14:37:24, Tommaso Pecorella wrote: > Another error from gcc 5.0 > > > ...
7 years, 9 months ago (2013-10-20 10:20:30 UTC) #3
Vedran Miletić
On 2013/10/14 13:27:11, Andrey Mazo wrote: > Most of the changes look good to me. ...
7 years, 9 months ago (2013-10-20 10:24:58 UTC) #4
Andrey Mazo
7 years, 9 months ago (2013-10-21 18:42:05 UTC) #5
Message was sent while issue was closed.
On 2013/10/20 10:24:58, Vedran Miletić wrote:
>
https://codereview.appspot.com/10975043/diff/8001/src/buildings/helper/buildi...
> > src/buildings/helper/building-position-allocator.cc:32: #include
> "ns3/unused.h"
> > I suppose, this change can be safely dropped.
> 
> Good catch on that one, not sure why I added this. Perhaps it was fixed by
> someone else in the meantime.
> 
>
https://codereview.appspot.com/10975043/diff/8001/src/core/test/attribute-tes...
> > src/core/test/attribute-test-suite.cc:226: }
> > Peter D. Barnes has recently added NS_UNUSED_GLOBAL() macro.
> > I suppose, it's possible to mark class members as unused directly in the
class
> > declaration without use of extra function.
> > 
> > Something like
> > class AttributeObjectTest
> > {
> > private:
> > ...
> > bool NS_UNUSED_GLOBAL (m_boolTest);
> > ...
> > }
> 
> Done, thanks for the suggestion, much cleaner this way.

Thank you for taking my suggestions into account!

>
https://codereview.appspot.com/10975043/diff/8001/src/lte/test/lte-test-tdtbf...
> > src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc:251: NS_UNUSED (m_nLc);
> > The same question as for lte-test-fdbet-ff-mac-scheduler.cc.
> 
> Perhaps it's a future feature of some kind; I can't judge since I'm not LTE
> maintainter. I will notify Nicola Baldo about these; I would prefer him to
> handle the removal of m_nLc since values used for it vary.
Notifying Nicola is a good idea, I agree to let him do the appropriate action.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b